AUTOMAKE_OPTIONS = foreign

EXTRA_DIST = makefile-xgl bovary.txt Remote

INCLUDES = -I$(top_srcdir)/include

browser_SOURCES	= browser.cpp
edi_SOURCES	= edi.cpp
ima_SOURCES	= ima.cpp
simple_draw_SOURCES = simple_draw.cpp
multi_draw_SOURCES  = multi_draw.cpp
lensmap_SOURCES	= lensmap.cpp lensmap.hpp
transptool_SOURCES = transptool.cpp transptool.hpp
zoomlib_SOURCES	= zoomlib.cpp
persp_SOURCES	= persp.cpp persp.hpp

browser_LDADD	= ../src/ext/libubit_ext.la ../src/libubit.la 
edi_LDADD	= ../src/ext/libubit_ext.la ../src/libubit.la 
ima_LDADD	= ../src/libubit.la
simple_draw_LDADD = ../src/libubit.la
multi_draw_LDADD = ../src/libubit.la
lensmap_LDADD	= ../src/libubit.la
transptool_LDADD= ../src/libubit.la
zoomlib_LDADD	= ../src/ext/libubit_ext.la ../src/libubit.la
persp_LDADD	= ../src/libubit.la

noinst_PROGRAMS = browser ima edi simple_draw multi_draw lensmap transptool zoomlib persp

SUBDIRS = hyperbol misc more


